=== debian/changelog ===
qqc2-desktop-style (5.44.0-0ubuntu1) bionic; urgency=medium

  * Re-order copyright file
  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 20:00:35 +0000

qqc2-desktop-style (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:58 +0000

qqc2-desktop-style (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:24:26 +0000

qqc2-desktop-style (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:10:01 -0600

qqc2-desktop-style (5.40.0-0ubuntu1) bionic; urgency=medium

  * Initial release to Ubuntu (LP: #1728440)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:19:02 +0000
