=== debian/watch ===
version=4
http://download.kde.org/stable/frameworks/([\d\.]*)/qqc2-desktop-style-([\d.]+)\.tar\.xz
