=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.50.0~),
-               kirigami2-dev (>= 5.50.0~),
-               libkf5iconthemes-dev (>= 5.50.0~),
-               libqt5x11extras5-dev (>= 5.8.0~),
+               extra-cmake-modules (>= 5.54.0~),
+               kirigami2-dev (>= 5.54.0~),
+               libkf5iconthemes-dev (>= 5.54.0~),
+               libqt5x11extras5-dev (>= 5.9.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
-               qtquickcontrols2-5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
+               qtquickcontrols2-5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
 
 Package: libkf5qqc2desktopstyle-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -36,7 +36,7 @@
 
 Package: qml-module-org-kde-qqc2desktopstyle
 Architecture: any
-Depends: qml-module-org-kde-kirigami2 (>= 5.47),
+Depends: qml-module-org-kde-kirigami2 (>= 5.54),
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
