## qqc2-desktop-style 5.56.0

=== debian/changelog ===
qqc2-desktop-style (5.56.0-0ubuntu2) disco; urgency=medium

  * Rebuild against QtDeclarative 5.12.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 22:57:55 +0100

qqc2-desktop-style (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:38:59 +0000

qqc2-desktop-style (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:26 +0000

qqc2-desktop-style (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:34 +0000

qqc2-desktop-style (5.53.0-0ubuntu2) disco; urgency=medium

  * No-change rebuild against qtdeclarative 5.11.3

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 01 Jan 2019 21:43:58 +0000

qqc2-desktop-style (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:51:07 +0000

qqc2-desktop-style (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:30 +0000
