## qqc2-desktop-style 5.67.1

=== debian/changelog ===
qqc2-desktop-style (5.67.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Feb 2020 22:56:26 +0000

qqc2-desktop-style (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:53:48 +0000

qqc2-desktop-style (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:22:43 +0000

qqc2-desktop-style (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Amend debian/libkf5qqc2desktopstyle-dev.install, it had a typo so
    files weren't installed correctly
  * Add qml-module-qtquick-layouts to qml-module-org-kde-
    qqc2desktopstyle Depends, following KDE Neon.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:38 +0000

qqc2-desktop-style (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:27:50 +0000

qqc2-desktop-style (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:19 +0100

qqc2-desktop-style (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:46:01 +0100

qqc2-desktop-style (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:21 +0100

qqc2-desktop-style (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:22:32 +0100

qqc2-desktop-style (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:43:46 +0100

qqc2-desktop-style (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:17 +0100
