=== debian/changelog ===
qqc2-desktop-style (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:01:02 +0000

qqc2-desktop-style (5.67.1-0ubuntu2) focal; urgency=medium

  * Add upstream patch request by KDE developers.
    https://bugs.kde.org/418447
    - d/p: upstream_Fix-sizing-of-CheckBox-and-RadioButton.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Mar 2020 06:38:27 +0000
