=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.67.0~),
-               kirigami2-dev (>= 5.67.0~),
-               libkf5iconthemes-dev (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
+               kirigami2-dev (>= 5.68.0~),
+               libkf5iconthemes-dev (>= 5.68.0~),
                libqt5x11extras5-dev (>= 5.8.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
