=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.5~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
-               kirigami2-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5iconthemes-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               kirigami2-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5iconthemes-dev (>= 5.80.0~),
                libqt5x11extras5-dev (>= 5.14.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev (>= 5.14.0~),
-               qtquickcontrols2-5-dev (>= 5.14.0~)
+               qtquickcontrols2-5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
@@ -28,7 +28,7 @@
 Architecture: any
 Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
 Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
 Description: Qt Quick Controls 2: Desktop Style
